interface IRequestModel {
    id: ID!
    createdAt: Unix!
    userId: ID!
    amount: Uint64!
    type: String!
    status: Int32!
    meta:   String
}

type RequestModel {
    id: ID!
    createdAt: Unix!
    userId: ID!
    amount: Uint64!
    type: String!
    status: Int32!
    meta:   String
}

input RequestModelInput {
    id: ID
    createdAt: Unix
    userId: ID!
    amount: Int64!
    type: String!
    status: Int32
    meta:   String
}

extend type Query {
    requestsCount: Int64!
    requestsList(in: ListOptions): [RequestModel!]!
    requestsGet(in: ID): RequestModel!
}

extend type Mutation {
    requestsCreate(in: RequestModelInput): RequestModel!
    requestsUpdate(in: RequestModelInput): RequestModel!
    requestsChangeStatus(in: RequestModelInput): Void
}